Opened 13 years ago

Closed 13 years ago

#272 closed defect (invalid)

card 093b & 0919 defect

Reported by: rockerduck Owned by:
Priority: major Component:
Severity: low Keywords:
Cc: Sensitive: no

Description

Card Sky it 093b is non recognized. In version 952 card worked well maybe due to 952 changeset by Alno in reader-videoguard2.c (modified) (8 diffs).
Could you please verify if this changeset was merged?

Defect version:

-------------------------------------------------------------------------------
>> OSCam <<  cardserver started at Mon Dec 28 17:52:14 2009
-------------------------------------------------------------------------------
2009/12/28 17:52:14   1310 s   version=0.99.4svn, build #976S, system=powerpc-dreambox-linux, nice=-1
2009/12/28 17:52:14   1310 s   max. clients=29, client max. idle=120 sec
2009/12/28 17:52:14   1310 s   max. logsize=unlimited
2009/12/28 17:52:14   1310 s   client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2009/12/28 17:52:14   1310 s   shared memory initialized (size=543480, fd=3)
2009/12/28 17:52:14   1310 s   auth size=4736
2009/12/28 17:52:14   1310 s   services reloaded: 0 services freed, 3 services loaded
2009/12/28 17:52:14   1310 s   userdb reloaded: 0 accounts freed, 3 accounts loaded
2009/12/28 17:52:14   1310 s   signal handling initialized (type=sysv)
2009/12/28 17:52:14   1310 s   2276 service-id's loaded
2009/12/28 17:52:14   1310 s   22 lengths for caid guessing loaded
2009/12/28 17:52:14   1310 s   monitor: initialized (fd=7, port=988)
2009/12/28 17:52:14   1310 s   camd 3.3x: disabled
2009/12/28 17:52:14   1310 s   camd 3.5x: initialized (fd=8, port=27001)
2009/12/28 17:52:14   1310 s   cs378x: disabled
2009/12/28 17:52:14   1310 s   newcamd: initialized (fd=9, port=27000, crypted)
2009/12/28 17:52:14   1310 s   CAID: 093B
2009/12/28 17:52:14   1310 s   provid #0: 000000
2009/12/28 17:52:14   1310 s   radegast: disabled
2009/12/28 17:52:14   1310 s   resolver thread started
2009/12/28 17:52:14   1310 s   logger started (pid=1312)
2009/12/28 17:52:14   1310 s   resolver started (pid=1313, delay=30 sec)
2009/12/28 17:52:14   1310 s   http started (pid=1314)
2009/12/28 17:52:14   1310 s   reader started (pid=1315, device=/dev/sci0)
2009/12/28 17:52:14   1310 s   Waiting for local card init ....
2009/12/28 17:52:14   1314 h   HTTP Server listening on port 83
2009/12/28 17:52:14   1315 r03 card detected
2009/12/28 17:52:17   1315 r03 ATR: 3F FD 13 25 02 50 80 0F 33 B0 13 69 FF 4A 50 D0 80 00 49 54 03 
2009/12/28 17:52:18   1315 r03 Type: Videoguard Sky Italia new (093B)
2009/12/28 17:52:19   1315 r03 card system not supported
2009/12/28 17:52:19   1315 r03 card initializing error

working version (strange: tiers information are doubled):

-------------------------------------------------------------------------------
>> OSCam <<  cardserver started at Mon Dec 28 18:00:10 2009
-------------------------------------------------------------------------------
2009/12/28 18:00:10   1320 s   version=0.99.4svn, build #764:952M, system=powerpc-dreambox-linux, nice=-1
2009/12/28 18:00:10   1320 s   max. clients=29, client max. idle=120 sec
2009/12/28 18:00:10   1320 s   max. logsize=unlimited
2009/12/28 18:00:10   1320 s   client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2009/12/28 18:00:10   1320 s   shared memory initialized (size=477616, fd=3)
2009/12/28 18:00:10   1320 s   auth size=4736
2009/12/28 18:00:10   1320 s   services reloaded: 0 services freed, 3 services loaded
2009/12/28 18:00:10   1320 s   userdb reloaded: 0 accounts freed, 3 accounts loaded
2009/12/28 18:00:10   1320 s   signal handling initialized (type=sysv)
2009/12/28 18:00:10   1320 s   2276 service-id's loaded
2009/12/28 18:00:10   1320 s   22 lengths for caid guessing loaded
2009/12/28 18:00:10   1320 s   monitor: initialized (fd=7, port=988)
2009/12/28 18:00:10   1320 s   camd 3.3x: disabled
2009/12/28 18:00:10   1320 s   camd 3.5x: initialized (fd=8, port=27001)
2009/12/28 18:00:10   1320 s   cs378x: disabled
2009/12/28 18:00:10   1320 s   newcamd: initialized (fd=9, port=27000, crypted)
2009/12/28 18:00:10   1320 s   CAID: 093B
2009/12/28 18:00:10   1320 s   provid #0: 000000
2009/12/28 18:00:10   1320 s   radegast: disabled
2009/12/28 18:00:10   1320 s   resolver thread started
2009/12/28 18:00:10   1320 s   logger started (pid=1322)
2009/12/28 18:00:10   1320 s   resolver started (pid=1323, delay=30 sec)
2009/12/28 18:00:10   1320 s   http started (pid=1324)
2009/12/28 18:00:10   1320 s   reader started (pid=1325, device=/dev/sci0)
2009/12/28 18:00:10   1320 s   Waiting for local card init ....
2009/12/28 18:00:10   1324 h   HTTP Server listening on port 83
2009/12/28 18:00:10   1325 r03 card detected
2009/12/28 18:00:13   1325 r03 ATR: 3F FD 13 25 02 50 80 0F 33 B0 13 69 FF 4A 50 D0 80 00 49 54 03 
2009/12/28 18:00:14   1325 r03 Type: Videoguard Sky Italia new (093B)
2009/12/28 18:00:14   1325 r03 type: Videoguard, caid: 093B, serial: XXXXXX, BoxID: XXXXXX
2009/12/28 18:00:14   1325 r03 ready for requests
2009/12/28 18:00:14   1325 r03 card detected
2009/12/28 18:00:14   1325 r03 type: Videoguard
2009/12/28 18:00:14   1325 r03 Tier: 000b, expiry date: 2010/01/03-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 000b, expiry date: 2010/01/03-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 0219, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 0219, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 021a, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 021a, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 021b, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 021b, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 0226, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 0226, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 022e, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 022e, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 02fe, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1325 r03 Tier: 02fe, expiry date: 2010/02/05-00:00:00
2009/12/28 18:00:14   1320 s   Init for all local cards done !

Change History (5)

comment:1 by rockerduck, 13 years ago

Owner: set to Alno
Severity: mediumlow

comment:2 by alno, 13 years ago

I have no access to trunk - so it cannot be my fault.

comment:3 by rockerduck, 13 years ago

Owner: Alno removed

in reply to:  3 comment:4 by Spaeleus, 13 years ago

Summary: card 093b defectcard 093b & 0919 defect

Replying to rockerduck:
Ok. Surely it isn't Alno's fault.
But anyway it's from svn version 919 that my Dreamboxes 8000/800/7025 (internal readers) couldn't recognize also 0919 sky it card.
And last working versions have worst ecm time then older ones.
Here's a build #979 log:

-------------------------------------------------------------------------------
>> OSCam <<  cardserver started at Mon Dec 28 22:56:28 2009
-------------------------------------------------------------------------------
2009/12/28 22:56:28  16506 s   version=0.99.4svn, build #979, system=mipsel-drea
mbox-linux
2009/12/28 22:56:28  16506 s   max. clients=29, client max. idle=120 sec
2009/12/28 22:56:28  16506 s   max. logsize=unlimited
2009/12/28 22:56:28  16506 s   client timeout=5000 ms, fallback timeout=2500 ms,
 cache delay=0 ms
2009/12/28 22:56:28  16506 s   shared memory initialized (size=477740, fd=3)
2009/12/28 22:56:28  16506 s   auth size=4740
root@dm8000:~# 2009/12/28 22:56:28  16506 s   services reloaded: 0 services free
d, 21 services loaded
2009/12/28 22:56:28  16506 s   userdb reloaded: 0 accounts freed, 7 accounts loa
ded, 0 expired
2009/12/28 22:56:28  16506 s   signal handling initialized (type=sysv)
2009/12/28 22:56:28  16506 s   2276 service-id's loaded
2009/12/28 22:56:28  16506 s   monitor: initialized (fd=7, port=988)
2009/12/28 22:56:28  16506 s   camd 3.3x: disabled
2009/12/28 22:56:28  16506 s   camd 3.5x: disabled
2009/12/28 22:56:28  16506 s   cs378x: disabled
2009/12/28 22:56:28  16506 s   newcamd: initialized (fd=8, port=34000, crypted)
2009/12/28 22:56:28  16506 s   CAID: 0919
2009/12/28 22:56:28  16506 s   provid #0: 000000
2009/12/28 22:56:28  16506 s   radegast: disabled
2009/12/28 22:56:28  16506 s   resolver thread started
2009/12/28 22:56:28  16506 s   logger started (pid=16508)
2009/12/28 22:56:28  16506 s   resolver started (pid=16509, delay=30 sec)
2009/12/28 22:56:28  16506 s   reader started (pid=16510, device=/dev/sci0)
2009/12/28 22:56:28  16506 s   Waiting for local card init ....
2009/12/28 22:56:28  16508 l   starting client -2 with ip 127.0.0.1
2009/12/28 22:56:28  16509 n   starting client -1 with ip 127.0.0.1
2009/12/28 22:56:28  16510 r02 starting client 0 with ip 127.0.0.1
2009/12/28 22:56:28  16510 r02 ct_init on /dev/sci0: 0
2009/12/28 22:56:28  16510 r02 card detected
2009/12/28 22:56:31  16510 r02 ATR reports smartcard supports 2 protocols:
2009/12/28 22:56:31  16510 r02 Protocol 1: TA1=13 TB1=25 TC1=03 TD1=10 (T0)
2009/12/28 22:56:31  16510 r02 Protocol 2: TA2=80 no TD2 means T0
2009/12/28 22:56:31  16510 r02 2 protocol types detected. Historical bytes: 33 B
0 0E 69 FF 4A 50 70 00 00 49 54 02 00 00
2009/12/28 22:56:31  16510 r02 No PTS happened, selected protocol 1: T0, F=372,
D=1.000000, N=3

2009/12/28 22:56:31  16510 r02 Forcing params.FI from 7 to 5
2009/12/28 22:56:31  16510 r02 T=0 f=372 ETU=372 WWT=300 CWT=0 BWT=0 EGT=3 clock
=0 check=0 P=5 I=50 U=0
2009/12/28 22:56:31  16510 r02 Set Timings: T=0 FI=6 ETU=372 WWT=300 CWT=0 BWT=0
 EGT=3 clock=0 check=0 P=5 I=50 U=0
2009/12/28 22:56:31  16510 r02 ATR: 3F FF 13 25 03 10 80 33 B0 0E 69 FF 4A 50 70
 00 00 49 54 02 00 00
2009/12/28 22:56:32  16510 r02 Type: Videoguard Sky Italia
2009/12/28 22:56:32  16510 r02 write to cardreader lower:
2009/12/28 22:56:32  16510 r02 D0 74 01 80 01
2009/12/28 22:56:33  16510 r02 answer from cardreader lower:
2009/12/28 22:56:33  16510 r02 failed to read 7401 cmd length (ff 13)
2009/12/28 22:56:33  16510 r02 card system not supported
2009/12/28 22:56:33  16510 r02 card initializing error
2009/12/28 22:56:33  16506 s   Init for all local cards done !
2009/12/28 22:56:33  16506 s   anti cascading disabled

Still no ideas???

comment:5 by Eneen, 13 years ago

Resolution: invalid
Status: newclosed

Please try newest build.

Note: See TracTickets for help on using tickets.